Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PlaceableView

All Superinterfaces
  ChildView, Serializable, View

All Known Subinterfaces:
  BookView, PortletView

    public interface PlaceableView

extends ChildView

View class for a placeable, which is either a book or a portlet. In other words, Parent Pages can contain both child Portlets and child Books. Placeables is a term/interface used to represent either one of these. A placeable is an item that can be placed on a page.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

See Also
  `View`
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getDefinitionLabel()` The unique definition label.
`String` | `getLabel()` A unique label.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this placeable.
`PlaceableDefinition` | `getPlaceableDefinition()` Retrieve the associated `PlaceableDefinition` from this Placeable View.
`PlaceableInstance` | `getPlaceableInstance()` Retrieve the associated `PlaceableInstance` from this Placeable View.
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()` Get the placeholderDefinitionId of the placeable.
`int` | `getPlaceholderPosition()` Get the placeholder position of the placeable.
`PlacementId` | `getPlacementId()` Getter for a portlet's or book's placement id.

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getPlaceableInstance

    PlaceableInstance getPlaceableInstance()

  Retrieve the associated `PlaceableInstance` from this Placeable View. Placeable Views are immutable but Placeable Instances and Placeable Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns
    a non-null Placeable Instance. The Placeable instance may be cast to either a BookInstance or a PortletInstance after checking `instanceof`.

### getPlaceableDefinition

    PlaceableDefinition getPlaceableDefinition()

  Retrieve the associated `PlaceableDefinition` from this Placeable View. Placeable Views are immutable but Placeable Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The Placeable Definition is constructed (in the database) either via API or by disassembling a .portal file.

  Returns
    a non-null Placeable Definition

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this placeable.

  Returns
    a non-null LocalizationResourceView customized per the request.

### getDefinitionLabel

    String getDefinitionLabel()

  The unique definition label. For books this is defined in the .portal file, and for portlets this is defined in the .portlet file.

  Returns
    a non-null definition label.

### getLabel

    String getLabel()

  A unique label. For books this is definition label and for portlets this is the instance label.

  Returns
    a non-null definition or instance label.

### getPlaceholderPosition

    int getPlaceholderPosition()

  Get the placeholder position of the placeable.

  Returns
    an index into the list of placeables in a placeholder.

### getPlaceholderDefinitionId

    PlaceholderDefinitionId getPlaceholderDefinitionId()

  Get the placeholderDefinitionId of the placeable.

  Returns
    an FK reference to the PF_PLACEHOLDER primary key

### getPlacementId

    PlacementId getPlacementId()

  Getter for a portlet's or book's placement id. The placement id represents a unique placement of a portlet or book on a page. Pages may contain Books just like they may contain Portlets. If this portlet is placed on a Page then this placement id represents the primary key value of the PF_PLACEMENT.PLACEMENT_ID value in the database. Note: If this view is a book then this book might not have been placed on a page as it may be placed on another book or be the main book of the desktop. Also, if this view was obtained directly and not from a parent view object then this value may also be null.

  Returns
    the placement id if this portlet/book is placed on a page, otherwise null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.